<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

namespace BitBadger\PDODocument\Mapper;

/**
 * A mapper that returns the associative array from the database
 *
 * @implements Mapper<array<string|int, mixed>>
 */
class ArrayMapper implements Mapper
{
    /**
     * @inheritDoc
     * @return array<string|int, mixed> The array given as the parameter
     */
    public function map(array $result): array
    {
        return $result;
    }
}
